// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1-devel
// 	protoc        v3.15.2
// source: service.proto

package proc

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

//PyrMeanShiftFilter create underpants images
type PyrMeanShiftFilterRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Picture  []byte  `protobuf:"bytes,1,opt,name=picture,proto3" json:"picture,omitempty"` //input picture
	Sp       float32 `protobuf:"fixed32,2,opt,name=sp,proto3" json:"sp,omitempty"`
	Sr       float32 `protobuf:"fixed32,3,opt,name=sr,proto3" json:"sr,omitempty"`
	MaxLevel int32   `protobuf:"varint,4,opt,name=maxLevel,proto3" json:"maxLevel,omitempty"`
}

func (x *PyrMeanShiftFilterRequest) Reset() {
	*x = PyrMeanShiftFilterRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_service_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PyrMeanShiftFilterRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PyrMeanShiftFilterRequest) ProtoMessage() {}

func (x *PyrMeanShiftFilterRequest) ProtoReflect() protoreflect.Message {
	mi := &file_service_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PyrMeanShiftFilterRequest.ProtoReflect.Descriptor instead.
func (*PyrMeanShiftFilterRequest) Descriptor() ([]byte, []int) {
	return file_service_proto_rawDescGZIP(), []int{0}
}

func (x *PyrMeanShiftFilterRequest) GetPicture() []byte {
	if x != nil {
		return x.Picture
	}
	return nil
}

func (x *PyrMeanShiftFilterRequest) GetSp() float32 {
	if x != nil {
		return x.Sp
	}
	return 0
}

func (x *PyrMeanShiftFilterRequest) GetSr() float32 {
	if x != nil {
		return x.Sr
	}
	return 0
}

func (x *PyrMeanShiftFilterRequest) GetMaxLevel() int32 {
	if x != nil {
		return x.MaxLevel
	}
	return 0
}

//DisplayContours display default image contours
type DisplayContoursRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Picture []byte `protobuf:"bytes,1,opt,name=picture,proto3" json:"picture,omitempty"` //input picture
}

func (x *DisplayContoursRequest) Reset() {
	*x = DisplayContoursRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_service_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DisplayContoursRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DisplayContoursRequest) ProtoMessage() {}

func (x *DisplayContoursRequest) ProtoReflect() protoreflect.Message {
	mi := &file_service_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DisplayContoursRequest.ProtoReflect.Descriptor instead.
func (*DisplayContoursRequest) Descriptor() ([]byte, []int) {
	return file_service_proto_rawDescGZIP(), []int{1}
}

func (x *DisplayContoursRequest) GetPicture() []byte {
	if x != nil {
		return x.Picture
	}
	return nil
}

type DefaultReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	OutPicture []byte `protobuf:"bytes,1,opt,name=OutPicture,proto3" json:"OutPicture,omitempty"` //result picture
}

func (x *DefaultReply) Reset() {
	*x = DefaultReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_service_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DefaultReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DefaultReply) ProtoMessage() {}

func (x *DefaultReply) ProtoReflect() protoreflect.Message {
	mi := &file_service_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DefaultReply.ProtoReflect.Descriptor instead.
func (*DefaultReply) Descriptor() ([]byte, []int) {
	return file_service_proto_rawDescGZIP(), []int{2}
}

func (x *DefaultReply) GetOutPicture() []byte {
	if x != nil {
		return x.OutPicture
	}
	return nil
}

var File_service_proto protoreflect.FileDescriptor

var file_service_proto_rawDesc = []byte{
	0x0a, 0x0d, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12,
	0x03, 0x61, 0x70, 0x69, 0x22, 0x71, 0x0a, 0x19, 0x50, 0x79, 0x72, 0x4d, 0x65, 0x61, 0x6e, 0x53,
	0x68, 0x69, 0x66, 0x74, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x12, 0x18, 0x0a, 0x07, 0x70, 0x69, 0x63, 0x74, 0x75, 0x72, 0x65, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x0c, 0x52, 0x07, 0x70, 0x69, 0x63, 0x74, 0x75, 0x72, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x73,
	0x70, 0x18, 0x02, 0x20, 0x01, 0x28, 0x02, 0x52, 0x02, 0x73, 0x70, 0x12, 0x0e, 0x0a, 0x02, 0x73,
	0x72, 0x18, 0x03, 0x20, 0x01, 0x28, 0x02, 0x52, 0x02, 0x73, 0x72, 0x12, 0x1a, 0x0a, 0x08, 0x6d,
	0x61, 0x78, 0x4c, 0x65, 0x76, 0x65, 0x6c, 0x18, 0x04, 0x20, 0x01, 0x28, 0x05, 0x52, 0x08, 0x6d,
	0x61, 0x78, 0x4c, 0x65, 0x76, 0x65, 0x6c, 0x22, 0x32, 0x0a, 0x16, 0x44, 0x69, 0x73, 0x70, 0x6c,
	0x61, 0x79, 0x43, 0x6f, 0x6e, 0x74, 0x6f, 0x75, 0x72, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x12, 0x18, 0x0a, 0x07, 0x70, 0x69, 0x63, 0x74, 0x75, 0x72, 0x65, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x0c, 0x52, 0x07, 0x70, 0x69, 0x63, 0x74, 0x75, 0x72, 0x65, 0x22, 0x2e, 0x0a, 0x0c, 0x44,
	0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x1e, 0x0a, 0x0a, 0x4f,
	0x75, 0x74, 0x50, 0x69, 0x63, 0x74, 0x75, 0x72, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0c, 0x52,
	0x0a, 0x4f, 0x75, 0x74, 0x50, 0x69, 0x63, 0x74, 0x75, 0x72, 0x65, 0x32, 0xaf, 0x01, 0x0a, 0x16,
	0x49, 0x6d, 0x61, 0x67, 0x65, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x69, 0x6e, 0x67, 0x53,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x49, 0x0a, 0x12, 0x50, 0x79, 0x72, 0x4d, 0x65, 0x61,
	0x6e, 0x53, 0x68, 0x69, 0x66, 0x74, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x12, 0x1e, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x50, 0x79, 0x72, 0x4d, 0x65, 0x61, 0x6e, 0x53, 0x68, 0x69, 0x66, 0x74, 0x46,
	0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x11, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x44, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x22,
	0x00, 0x12, 0x4a, 0x0a, 0x16, 0x44, 0x69, 0x73, 0x70, 0x6c, 0x61, 0x79, 0x43, 0x6f, 0x6e, 0x74,
	0x6f, 0x75, 0x72, 0x73, 0x44, 0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x12, 0x1b, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x44, 0x69, 0x73, 0x70, 0x6c, 0x61, 0x79, 0x43, 0x6f, 0x6e, 0x74, 0x6f, 0x75, 0x72,
	0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x11, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x44,
	0x65, 0x66, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x22, 0x00, 0x42, 0x09, 0x5a,
	0x07, 0x76, 0x31, 0x2f, 0x70, 0x72, 0x6f, 0x63, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_service_proto_rawDescOnce sync.Once
	file_service_proto_rawDescData = file_service_proto_rawDesc
)

func file_service_proto_rawDescGZIP() []byte {
	file_service_proto_rawDescOnce.Do(func() {
		file_service_proto_rawDescData = protoimpl.X.CompressGZIP(file_service_proto_rawDescData)
	})
	return file_service_proto_rawDescData
}

var file_service_proto_msgTypes = make([]protoimpl.MessageInfo, 3)
var file_service_proto_goTypes = []interface{}{
	(*PyrMeanShiftFilterRequest)(nil), // 0: api.PyrMeanShiftFilterRequest
	(*DisplayContoursRequest)(nil),    // 1: api.DisplayContoursRequest
	(*DefaultReply)(nil),              // 2: api.DefaultReply
}
var file_service_proto_depIdxs = []int32{
	0, // 0: api.ImageProcessingService.PyrMeanShiftFilter:input_type -> api.PyrMeanShiftFilterRequest
	1, // 1: api.ImageProcessingService.DisplayContoursDefault:input_type -> api.DisplayContoursRequest
	2, // 2: api.ImageProcessingService.PyrMeanShiftFilter:output_type -> api.DefaultReply
	2, // 3: api.ImageProcessingService.DisplayContoursDefault:output_type -> api.DefaultReply
	2, // [2:4] is the sub-list for method output_type
	0, // [0:2] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_service_proto_init() }
func file_service_proto_init() {
	if File_service_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_service_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PyrMeanShiftFilterRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_service_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DisplayContoursRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_service_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DefaultReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_service_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   3,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_service_proto_goTypes,
		DependencyIndexes: file_service_proto_depIdxs,
		MessageInfos:      file_service_proto_msgTypes,
	}.Build()
	File_service_proto = out.File
	file_service_proto_rawDesc = nil
	file_service_proto_goTypes = nil
	file_service_proto_depIdxs = nil
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// ImageProcessingServiceClient is the client API for ImageProcessingService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type ImageProcessingServiceClient interface {
	PyrMeanShiftFilter(ctx context.Context, in *PyrMeanShiftFilterRequest, opts ...grpc.CallOption) (*DefaultReply, error)
	DisplayContoursDefault(ctx context.Context, in *DisplayContoursRequest, opts ...grpc.CallOption) (*DefaultReply, error)
}

type imageProcessingServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewImageProcessingServiceClient(cc grpc.ClientConnInterface) ImageProcessingServiceClient {
	return &imageProcessingServiceClient{cc}
}

func (c *imageProcessingServiceClient) PyrMeanShiftFilter(ctx context.Context, in *PyrMeanShiftFilterRequest, opts ...grpc.CallOption) (*DefaultReply, error) {
	out := new(DefaultReply)
	err := c.cc.Invoke(ctx, "/api.ImageProcessingService/PyrMeanShiftFilter", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *imageProcessingServiceClient) DisplayContoursDefault(ctx context.Context, in *DisplayContoursRequest, opts ...grpc.CallOption) (*DefaultReply, error) {
	out := new(DefaultReply)
	err := c.cc.Invoke(ctx, "/api.ImageProcessingService/DisplayContoursDefault", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// ImageProcessingServiceServer is the server API for ImageProcessingService service.
type ImageProcessingServiceServer interface {
	PyrMeanShiftFilter(context.Context, *PyrMeanShiftFilterRequest) (*DefaultReply, error)
	DisplayContoursDefault(context.Context, *DisplayContoursRequest) (*DefaultReply, error)
}

// UnimplementedImageProcessingServiceServer can be embedded to have forward compatible implementations.
type UnimplementedImageProcessingServiceServer struct {
}

func (*UnimplementedImageProcessingServiceServer) PyrMeanShiftFilter(context.Context, *PyrMeanShiftFilterRequest) (*DefaultReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method PyrMeanShiftFilter not implemented")
}
func (*UnimplementedImageProcessingServiceServer) DisplayContoursDefault(context.Context, *DisplayContoursRequest) (*DefaultReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DisplayContoursDefault not implemented")
}

func RegisterImageProcessingServiceServer(s *grpc.Server, srv ImageProcessingServiceServer) {
	s.RegisterService(&_ImageProcessingService_serviceDesc, srv)
}

func _ImageProcessingService_PyrMeanShiftFilter_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PyrMeanShiftFilterRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ImageProcessingServiceServer).PyrMeanShiftFilter(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/api.ImageProcessingService/PyrMeanShiftFilter",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ImageProcessingServiceServer).PyrMeanShiftFilter(ctx, req.(*PyrMeanShiftFilterRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ImageProcessingService_DisplayContoursDefault_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DisplayContoursRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ImageProcessingServiceServer).DisplayContoursDefault(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/api.ImageProcessingService/DisplayContoursDefault",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ImageProcessingServiceServer).DisplayContoursDefault(ctx, req.(*DisplayContoursRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _ImageProcessingService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "api.ImageProcessingService",
	HandlerType: (*ImageProcessingServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "PyrMeanShiftFilter",
			Handler:    _ImageProcessingService_PyrMeanShiftFilter_Handler,
		},
		{
			MethodName: "DisplayContoursDefault",
			Handler:    _ImageProcessingService_DisplayContoursDefault_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "service.proto",
}
